require 'active_merchant'

module Yukon

  class PaymentGateway
    
    # Pre-requisite - Rails app must configure the login, password and signature in config/initializers/yukon.rb
    #
    # Argument : seller_email : Email address of the seller
    #
    # Returns ActiveMerchant::Billing::PaypalExpressGateway object
    def self.create(seller_email)
      options = {
        login:     Yukon.login,
        password:  Yukon.password,
        signature: Yukon.signature,
        subject:   seller_email
      }
      ActiveMerchant::Billing::Base.mode = Yukon.mode
      ActiveMerchant::Billing::PaypalExpressGateway.new(options)
    end
    
  end

end